
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Nuova configurazione di processo per DSR </strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Parametri di selezione</th>
			</tr>
		</thead>
		<tbody>		
		<tr>
			<td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>DSP
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						<select name="dspName" id="dspName" ng-model="dsp" ng-options="item.name for item in ctrl.dspCountriesUtilizations.dsp" required>
						</select>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>TERRITORIO
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						<select name="countryName" id="countryName" ng-model="country" ng-options="item.name  for item in ctrl.dspCountriesUtilizations.countries" required>
						</select>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>TIPO UTILIZZO
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						<select name="tipoUtilizzo" id="tipoUtilizzo" ng-disabled="dsp === undefined" ng-model="utilizationType" ng-options="item.name for item in ctrl.dspCountriesUtilizations.utilizations | filter: filterUtilizationByDsp()" required>
						</select>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>Processo
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						<select name="process" id="process" ng-model="process" >
							<option ng-repeat="proc in ctrl.processList" value="{{proc.idDsrProcess}}">{{proc.name}} - [ {{proc.description}} ]</option>
						</select>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			 <td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>RANK
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						<select ng-model="rank" ng-options="n for n in [] | rank:0:100" required></select>							
					</span>
				</div>
			</td>
		</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Aggiungi</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>
<script type="text/ng-template" id="errorDialogId">
	<div id="target"  >
    	<strong>{{ngDialogData}}</strong>
    </div>
</script>
<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
